This page covers a next version of Handsontable, and is not published yet.
This page covers a non-latest version of Handsontable.
The following example implements the @handsontable/vue component, adding a custom Context Menu.
@handsontable/vue
import Vue from 'vue'; import { HotTable } from '@handsontable/vue'; import { ContextMenu } from 'handsontable/plugins/contextMenu'; import { registerAllModules } from 'handsontable/registry'; import { createSpreadsheetData } from './helpers'; // register Handsontable's modules registerAllModules(); new Vue({ el: '#example1', data() { return { hotSettings: { data: createSpreadsheetData(5, 5), colHeaders: true, contextMenu: { items: { 'row_above': { name: 'Insert row above this one (custom name)' }, 'row_below': {}, 'separator': ContextMenu.SEPARATOR, 'clear_custom': { name: 'Clear all cells (custom)', callback() { this.clear(); } } } }, height: 'auto', licenseKey: 'non-commercial-and-evaluation' } } }, components: { HotTable } });
<div id="example1"> <hot-table :settings="hotSettings"></hot-table> </div>
← Custom ID, Class, Style and other attributes in Vue 2 Custom editor in Vue 2 →

This page covers a next version of Handsontable, and is not published yet.

This page covers a non-latest version of Handsontable.

# Custom context menu in Angular

# Overview

The following is an implementation of the @handsontable/angular component with a custom context menu added.

# Example

// app.component.ts
import { Component } from '@angular/core';
import * as Handsontable from 'handsontable';

@Component({
  selector: 'app-root',
  template: `
  <div>
    <hot-table [settings]="hotSettings"></hot-table>
  </div>
  `,
})
class AppComponent {
  hotSettings: Handsontable.GridSettings = {
    data: Handsontable.helper.createSpreadsheetData(5, 5),
    colHeaders: true,
    contextMenu: {
      items: {
        'row_above': {
          name: 'Insert row above this one (custom name)'
        },
        'row_below': {},
        'separator': Handsontable.plugins.ContextMenu.SEPARATOR,
        'clear_custom': {
          name: 'Clear all cells (custom)',
          callback: function() {
            this.clear();
          }
        }
      }
    },
    height: 'auto',
    licenseKey: 'non-commercial-and-evaluation'
  };
}

// app.module.ts
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { HotTableModule } from '@handsontable/angular';

@NgModule({
  imports:      [ BrowserModule, HotTableModule ],
  declarations: [ AppComponent ],
  bootstrap:    [ AppComponent ]
})
class AppModule { }

// bootstrap
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';

platformBrowserDynamic().bootstrapModule(AppModule).catch(err => { console.error(err) });

This page covers a next version of Handsontable, and is not published yet.

This page covers a non-latest version of Handsontable.

# Custom context menu in React

# Overview

The following example is an implementation of the @handsontable/react component with a custom Context Menu added using React.

# Example

import React from 'react';
import ReactDOM from 'react-dom';
import { HotTable } from '@handsontable/react';
import Handsontable from 'handsontable';

const hotSettings = {
  data: Handsontable.helper.createSpreadsheetData(5, 5),
  colHeaders: true,
  height: 'auto',
  contextMenu: {
    items: {
      'row_above': {
        name: 'Insert row above this one (custom name)'
      },
      'row_below': {},
      'separator': Handsontable.plugins.ContextMenu.SEPARATOR,
      'clear_custom': {
        name: 'Clear all cells (custom)',
        callback: function() {
          this.clear();
        }
      }
    }
  },
  licenseKey: 'non-commercial-and-evaluation'
};

const App = () => {
  return (
    <div>
      <HotTable
        id="hot"
        settings={hotSettings}
      />
    </div>
  )
}

ReactDOM.render(<App />, document.getElementById('example1'));